Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.client
Class PrivateGinModule

    java.lang.Object
      com.google.gwt.inject.client.PrivateGinModule

All Implemented Interfaces:
  GinModule

    public abstract class PrivateGinModule

extends java.lang.Object
implements GinModule

Gin counterpart of Guice's `PrivateModule`.

Constructor Summary
`PrivateGinModule()`

Method Summary
`protected
`<T> GinAnnotatedBindingBuilder<T>`
` | `bind(java.lang.Class<T> clazz)`
`protected
`<T> GinLinkedBindingBuilder<T>`
` | `bind(Key<T> key)`
`protected
`<T> GinAnnotatedBindingBuilder<T>`
` | `bind(TypeLiteral<T> type)`
`protected GinAnnotatedConstantBindingBuilder` | `bindConstant()`
`protected PrivateGinBinder` | `binder()` Returns the current binder.
`protected abstract void` | `configure()` Creates bindings and other configurations private to this module.
`void` | `configure(GinBinder binder)` Contributes bindings and other configurations for this module to `binder`.
`protected GinAnnotatedElementBuilder` | `expose(java.lang.Class<?> type)` Makes a binding for `type` available to other modules and the injector.
`protected
`<T> void`
` | `expose(Key<T> key)` Makes the binding for `key` available to other modules and the injector.
`protected GinAnnotatedElementBuilder` | `expose(TypeLiteral<?> type)` Makes a binding for `type` available to other modules and the injector.
`protected void` | `install(GinModule install)`
`protected void` | `requestStaticInjection(java.lang.Class<?>... types)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrivateGinModule

    public PrivateGinModule()

Method Detail

### configure

    public void configure(GinBinder binder)

  Description copied from interface: `GinModule`
  Contributes bindings and other configurations for this module to `binder`.

  Specified by:
    `configure` in interface `GinModule`

### configure

    protected abstract void configure()

  Creates bindings and other configurations private to this module. Use `expose()` to make the bindings in this module available externally.

### expose

    protected final <T> void expose(Key<T> key)

  Makes the binding for `key` available to other modules and the injector.

### expose

    protected final GinAnnotatedElementBuilder expose(java.lang.Class<?> type)

  Makes a binding for `type` available to other modules and the injector. Use `annotatedWith()` to expose `type` with a binding annotation.

### expose

    protected final GinAnnotatedElementBuilder expose(TypeLiteral<?> type)

  Makes a binding for `type` available to other modules and the injector. Use `annotatedWith()` to expose `type` with a binding annotation.

### binder

    protected final PrivateGinBinder binder()

  Returns the current binder.

### bind

    protected final <T> GinAnnotatedBindingBuilder<T> bind(java.lang.Class<T> clazz)

### bind

    protected final <T> GinAnnotatedBindingBuilder<T> bind(TypeLiteral<T> type)

### bind

    protected final <T> GinLinkedBindingBuilder<T> bind(Key<T> key)

### bindConstant

    protected final GinAnnotatedConstantBindingBuilder bindConstant()

### install

    protected final void install(GinModule install)

### requestStaticInjection

    protected void requestStaticInjection(java.lang.Class<?>... types)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD